net.corda.core.contracts

## Interface MoveCommand

- All Superinterfaces:
    CommandData
  All Known Subinterfaces:
    Commands.Move
  All Known Implementing Classes:
    Commands.Move, Commands.Move, Commands.Move, Commands.Move

      public MoveCommand
      extends CommandData

  A common move command for contract states which can change owner.

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `SecureHash` | `getContractHash()` Contract code the moved state(s) are for the attention of, for example to indicate that the states are moved in order to settle an obligation contract's state object(s).

- - ### Method Detail

    - #### getContractHash

          SecureHash getContractHash()

      Contract code the moved state(s) are for the attention of, for example to indicate that the states are moved in order to settle an obligation contract's state object(s).